> For the complete documentation index, see [llms.txt](https://docs.ggwp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ggwp.com/identity-and-access-management-iam/api-docs-scim/users-apis/get-user.md).

# Get User

### Overview

Retrieves a user by their unique identifier.

This endpoint is used by identity providers such as Okta or Microsoft Azure Active Directory to:

* Verify user creation
* Fetch latest user state
* Validate provisioning

***

### Endpoint

```bash
GET /Users/{id}
```

***

### Full URL

```bash
https://api.ggwp.com/scim/v2/Users/{id}
```

***

### Authentication

```http
Authorization: Bearer <access_token>
```

***

## Path Parameters

<table><thead><tr><th width="143.5">Parameter</th><th width="148.5">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>string</td><td>Unique user identifier (scim_id)</td></tr></tbody></table>

***

## Response

### Success (200 OK)

```json
{
  "schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
  "id": "c118d158-c11b-495b-ab88-f57c8ac473c0",
  "userName": "Temp_user_prod",
  "externalId": "ABC1900BE",
  "active": true,
  "name": {
    "givenName": "Temp",
    "familyName": "User"
  },
  "displayName": "Temp User",
  "emails": [
    {
      "value": "temp_user_us@example.com",
      "primary": true
    }
  ],
  "roles": [
    {
      "value": "admin"
    }
  ],
  "meta": {
    "resourceType": "User",
    "location": "https://api.ggwp.com/scim/v2/Users/c118d158-c11b-495b-ab88-f57c8ac473c0",
    "created": "2026-04-01T11:15:22Z",
    "lastModified": "2026-04-01T11:15:22Z"
  }
}
```

***

## Error Responses

### 404 Not Found

```json
{
  "schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
  "status": "404",
  "detail": "User not found"
}
```
